##
##  checkbot.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         checkbot
Summary:      Website Link Checking Bot
URL:          http://degraaff.org/checkbot/
Vendor:       Hans de Graaff et al.
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        HTML
License:      GPL/Artistic
Version:      1.80
Release:      20081015

#   list of sources
Source0:      http://degraaff.org/checkbot/checkbot-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, perl-openpkg
PreReq:       OpenPKG, openpkg >= 20060823
BuildPreReq:  perl, perl-net, perl-www, perl-xml, perl-mail, perl-crypto, perl-time, perl-ssl
PreReq:       perl, perl-net, perl-www, perl-xml, perl-mail, perl-crypto, perl-time, perl-ssl
AutoReq:      no
AutoReqProv:  no

%description
    Checkbot is a tool to verify links on a set of HTML pages. Checkbot
    can check a single document, or a set of documents on one or more
    servers. Checkbot creates a report which summarizes all links which
    caused some kind of warning or error.

%track
    prog checkbot = {
        version   = %{version}
        url       = http://degraaff.org/checkbot/
        regex     = checkbot-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg configure build
    pod2man checkbot >checkbot.1

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_prefix}/bin/perl-openpkg install
    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 644 \
        checkbot.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

